(function( $ ) {
	'use strict';
		
		$( document ).ready( function() {	
		
			/* Hide Stats, Display Shortcode */
			$( 'body' ).on( 'click' , '.view-yikes-mc-form-shortcode' , function() {
				var clicked = jQuery( this );
				var index = jQuery( this ).parents( 'tr' ).find('.form-id-container').text();
				clicked.parents( 'tr' ).find( '.stat-container' ).toggleClass( 'hidden-class' );
				clicked.parents( 'tr' ).find( '.shortcode' ).toggleClass( 'hidden-class' );
				clicked.toggleText();
				return false;
			});
				 			
			/* Prevent disabled buttons/pagination from doing anything */
			$( 'body' ).on( 'click', '.disabled' , function() {
				return false;
			});
			
			/* set a max height on initial page load (for some smooth animations) */
			$( '.show-some-love-container' ).css( 'max-height', jQuery( '.show-some-love-container' ).height() );
			
			/* Toggle About Yikes Visibility */
			$( 'body' ).on( 'click', '.about-yikes-inc-toggle', function() {
				/* Display About Yikes Inc. Content */
				jQuery( this ).toggleText();
				jQuery( '.show-some-love-container' ).find( 'h3' ).toggleText();
				/* if has alternate toggle class, toggle reverse */
				if( jQuery( this ).hasClass( 'show-yikes-some-love-toggle' ) ) {
					jQuery( this ).removeClass( 'show-yikes-some-love-toggle' );
					var container_header_height = jQuery( '.show-some-love-container' ).find( 'h3' ).first().height() + 24; /* add the padding on the header */
					var review_yikes_height =  jQuery( '#review-yikes-easy-mc' ).height() + 24; /* add the padding and margins on content */
					var footer_button_first_height = jQuery( '.sidebar-footer-text' ).first().height() + 12; /* add the margin on the footer */
					var footer_button_height = jQuery( '.sidebar-footer-text' ).last().height() + 13; /* add the margin on the footer */
					var total_height = parseInt( container_header_height + review_yikes_height + footer_button_first_height + footer_button_height );			
					jQuery( '.show-some-love-container' ).css( 'max-height', total_height );
					jQuery( '#about-yikes-inc' ).fadeOut( 720, function() {
						jQuery( '.sidebar-footer-text' ).first().fadeIn( 450 );
						jQuery( '#review-yikes-easy-mc' ).fadeIn( 450 );
					})
					return false;
				}
				/* Display About Yikes Inc. Content */
				jQuery( this ).toggleClass( 'show-yikes-some-love-toggle' );
				var container_header_height = jQuery( '.show-some-love-container' ).find( 'h3' ).first().height() + 24; /* add the padding on the header */
				var about_yikes_text_height =  jQuery( '#about-yikes-inc' ).height() + 18; /* add the padding and margins on content */
				var footer_button_height = jQuery( '.sidebar-footer-text' ).last().height() + 18; /* add the margin on the footer */
				var total_height = parseInt( container_header_height + about_yikes_text_height + footer_button_height );
				jQuery( '.sidebar-footer-text' ).first().hide();
				jQuery( '.show-some-love-container' ).addClass( 'about-yikes-inc' ).css( 'max-height', total_height );
				jQuery( '#about-yikes-inc' ).show().css( 'opacity', 0 );
				jQuery( '#review-yikes-easy-mc' ).fadeOut( 'fast', function() {
					jQuery( '#about-yikes-inc' ).fadeTo( 800, 1 );
				});	
				/* prevent scroll backs */
				return false;
			});
						
			 /* Toggle Text - Stats/Shortcode (manage-forms.php)*/
			$.fn.toggleText = function() {
				var altText = this.data("alt-text");
				if (altText) {
					this.data("alt-text", this.html());
					this.html(altText);
				}
			};
			
		});
	 
})( jQuery );

/* Switch pages on form switch */
function YIKES_Easy_MC_SwitchForm( selected_value ) {
	/* jQuery page redirect to selected for... */
	window.location.replace( object_data.admin_url+'admin.php?page=yikes-mailchimp-edit-form&id='+selected_value );
}

/* Slidetoggle Option Values */
function toggleOptinValue( selected ) {
	if( selected.value == 'true' ) {
		jQuery( '.yks-mailchimp-single-optin-message' ).slideUp( 'fast' , function() {
			jQuery( '.yks-mailchimp-double-optin-message' ).slideDown( 'fast' );
		});
	} else {
		jQuery( '.yks-mailchimp-double-optin-message' ).slideUp( 'fast' , function() {
			jQuery( '.yks-mailchimp-single-optin-message' ).slideDown( 'fast' );
		});
	}
}

/*
*	Toggle the disabled attribute on the delete subscriber button
*	Used on the view subscriber data card
*	@since 6.0
*/
function toggleDelteSubscriberButton(clicked_button) {
	if( clicked_button.prop( 'checked' ) ) {
		jQuery( '#delete-mailchimp-subscriber' ).removeAttr( 'disabled' );
	} else {
		jQuery( '#delete-mailchimp-subscriber' ).attr( 'disabled', 'disabled' );
	}
}